summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2026-04-14 11:10:53 +0200
committerRemi Collet <remi@php.net>2026-04-14 11:10:53 +0200
commit90151e5334bf6b8c89853f9ee40eab2be2b36ef3 (patch)
treee4425142661fbd33402c39bdc718e1fc3f3155e2
parentc257f200904e76ad520d9212c7ccd84924fd16dc (diff)
update to 1.26.1HEADmaster
-rwxr-xr-xmakesrc.sh31
-rw-r--r--php-phpspec-prophecy.spec11
2 files changed, 21 insertions, 21 deletions
diff --git a/makesrc.sh b/makesrc.sh
index 87d223d..7df0f8a 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -4,25 +4,24 @@ NAME=$(basename $PWD)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
-echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION\n"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
+else
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
-echo "Cloning..."
-rm -rf $PROJECT-$COMMIT
-git clone https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT
+ echo "Cloning..."
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch v$VERSION $PROJECT-$VERSION || exit 1
-echo "Getting commit..."
-pushd $PROJECT-$COMMIT
-git checkout $COMMIT
-cp composer.json ../composer.json
-popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
-echo "Archiving..."
-tar czf $NAME-$VERSION-$SHORT.tgz --exclude .git $PROJECT-$COMMIT
+ echo "Archiving..."
+ tar czf $NAME-$VERSION.tgz --exclude-vcs $PROJECT-$VERSION
-echo "Cleaning..."
-rm -rf $PROJECT-$COMMIT
+ echo "Cleaning..."
+ rm -rf $PROJECT-$VERSION
-echo "Done."
+ echo "Done."
+fi
diff --git a/php-phpspec-prophecy.spec b/php-phpspec-prophecy.spec
index d6edecf..705fac8 100644
--- a/php-phpspec-prophecy.spec
+++ b/php-phpspec-prophecy.spec
@@ -6,8 +6,6 @@
#
# Please, preserve the changelog entries
#
-%global gh_commit 0da07c10d5fe64cd0c748f0523b47599400f2ed1
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner phpspec
%global gh_project prophecy
@@ -15,13 +13,13 @@
%bcond_with phpspec
Name: php-phpspec-prophecy
-Version: 1.26.0
+Version: 1.26.1
Release: 1%{?dist}
Summary: Highly opinionated mocking framework for PHP
License: MIT
URL: https://github.com/%{gh_owner}/%{gh_project}
-Source0: %{name}-%{version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
Source2: makesrc.sh
BuildArch: noarch
@@ -99,7 +97,7 @@ to be used inside any testing framework out there with minimal effort.
%prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
%build
@@ -224,6 +222,9 @@ exit $ret
%changelog
+* Tue Apr 14 2026 Remi Collet <remi@remirepo.net> - 1.26.1-1
+- update to 1.26.1
+
* Wed Feb 25 2026 Remi Collet <remi@remirepo.net> - 1.26.0-1
- update to 1.26.0
- allow phpdocumentor/reflection-docblock version 6